---
updatedAt: 2025-09-16T11:17:34.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Upload ground truth data

Use this endpoint to upload new ground truth data. You are required to provide a URL pointing to the input file or raw text along with the correct output. For detailed information on how to structure your input and output, go to the [super.AI dashboard](https://super.ai/dashboard/), select the relevant project, head to the ground truth section, and select **Upload ground truth data**. Here, you will see an example of the data you need to provide.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/apis/{app_id}/baselineData": {
      "post": {
        "summary": "Upload ground truth data",
        "description": "Use this endpoint to upload new ground truth data. You are required to provide a URL pointing to the input file or raw text along with the correct output. For detailed information on how to structure your input and output, go to the [super.AI dashboard](https://super.ai/dashboard/), select the relevant project, head to the ground truth section, and select **Upload ground truth data**. Here, you will see an example of the data you need to provide.",
        "operationId": "upload-ground-truth-data",
        "parameters": [
          {
            "name": "app_id",
            "in": "path",
            "description": "The universal unique identifier (UUID) of the project for which you want to create the ground truth data. You can find this in the super.AI dashboard URL of your project.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "input",
                  "label"
                ],
                "properties": {
                  "input": {
                    "type": "string",
                    "description": "JSON object for each input you want to submit. The value is a URL pointing to the relevant file or a raw text string. The objects below are just possible examples. Consult the **Ground truth** section of your project in the super.AI dashboard for information on which input object(s) and structure to use.",
                    "format": "json"
                  },
                  "label": {
                    "type": "string",
                    "description": "Correct output for the ground truth data. Consult your project's ground truth section in the super.AI dashboard for information on how to structure the label.",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\":123456,\n  \"created\":\"2020-03-26T11:29:54.989Z\",\n  \"modified\":\"2020-03-26T11:29:54.989Z\",\n  \"apiId\":\"live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\",\n  \"ownerId\":1234,\n  \"status\":\"ACTIVE\",\n  \"jobId\":null,\n  \"input\":{\n    \"image_url\":\"data://1234/images/dogs/poodles/pink-poodle.jpeg\"\n  },\n  \"label\":{\n    \"label\":{\n      \"choices\":[\n        {\n          \"tag\":\"0\",\n          \"value\":\"bulldog\"\n        },\n        {\n          \"tag\":\"1\",\n          \"value\":\"poodle\"\n        },\n        {\n          \"tag\":\"2\",\n          \"value\":\"not sure\"\n        }\n      ],\n      \"selection\":{\n        \"tag\":\"1\",\n        \"value\":\"poodle\"\n      }\n    }\n  },\n  \"tag\":null,\n  \"used\":0,\n  \"type\":\"OWNER\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 123456,
                      "default": 0
                    },
                    "created": {
                      "type": "string",
                      "example": "2020-03-26T11:29:54.989Z"
                    },
                    "modified": {
                      "type": "string",
                      "example": "2020-03-26T11:29:54.989Z"
                    },
                    "apiId": {
                      "type": "string",
                      "example": "live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B"
                    },
                    "ownerId": {
                      "type": "integer",
                      "example": 1234,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "ACTIVE"
                    },
                    "jobId": {},
                    "input": {
                      "type": "object",
                      "properties": {
                        "image_url": {
                          "type": "string",
                          "example": "data://1234/images/dogs/poodles/pink-poodle.jpeg"
                        }
                      }
                    },
                    "label": {
                      "type": "object",
                      "properties": {
                        "label": {
                          "type": "object",
                          "properties": {
                            "choices": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "tag": {
                                    "type": "string",
                                    "example": "0"
                                  },
                                  "value": {
                                    "type": "string",
                                    "example": "bulldog"
                                  }
                                }
                              }
                            },
                            "selection": {
                              "type": "object",
                              "properties": {
                                "tag": {
                                  "type": "string",
                                  "example": "1"
                                },
                                "value": {
                                  "type": "string",
                                  "example": "poodle"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "tag": {},
                    "used": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "type": {
                      "type": "string",
                      "example": "OWNER"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Invalid API-KEY"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/apis/123abc45-6789-01de-f2g3-45h67ijk8901/baselineData\" \\\n-X POST \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\" \\\n-H \"Content-Type: application/json\" \\\n-d '{ \"input\": {\"image_url\":\"data://1234/images/dogs/poodles/pink-poodle.jpeg\"}, \"label\": {\"label\":{\"choices\":[{\"tag\":\"0\",\"value\":\"bulldog\"},{\"tag\":\"1\",\"value\":\"poodle\"},{\"tag\":\"2\",\"value\":\"not sure\"}],\"selection\":{\"tag\":\"1\",\"value\":\"poodle\"}}}}'"
            },
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/apis/123abc45-6789-01de-f2g3-45h67ijk8901/baselineData\" \\\n-X POST \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\" \\\n-H \"Content-Type: application/json\" \\\n-d '{ \"input\": {\"text\":\"The Poodle is a formal dog breed that comes in three varieties: Standard Poodle, Miniature Poodle, and Toy Poodle.\"}, \"label\": {\"label\":{\"choices\":[{\"tag\":\"0\",\"value\":\"about bulldogs\"},{\"tag\":\"1\",\"value\":\"about poodles\"},{\"tag\":\"2\",\"value\":\"not sure\"}],\"selection\":{\"tag\":\"1\",\"value\":\"poodle\"}}}}'",
              "name": "cURL (text input)"
            },
            {
              "language": "python",
              "code": "import superai as ai\n\nclient = ai.Client(\"live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\")\n\nresponse = client.create_ground_truth(\n    app_id=\"123abc45-6789-01de-f2g3-45h67ijk8901\",\n    input_json={\"image_url\": \"data://1234/images/dogs/poodles/pink-poodle.jpeg\"},\n    label={\n        \"label\": {\n            \"choices\": [\n                {\"tag\": \"0\", \"value\": \"bulldog\"},\n                {\"tag\": \"1\", \"value\": \"poodle\"},\n                {\"tag\": \"2\", \"value\": \"not sure\"},\n            ],\n            \"selection\": {\"tag\": \"1\", \"value\": \"poodle\"},\n        }\n    },\n)\n\nprint(response)\n"
            },
            {
              "language": "shell",
              "code": "superai client create_ground_truth \\\n    --app_id 123abc45-6789-01de-f2g3-45h67ijk8901 \\\n    --input_json '{\"image_url\":\"data://1234/images/dogs/poodles/pink-poodle.jpeg\"}' \\\n    --label '{\"label\":{\"choices\":[{\"value\":\"bulldog\",\"tag\":\"0\"},{\"value\":\"poodle\",\"tag\":\"1\"},{\"value\":\"not sure\",\"tag\":\"2\"}],\"selection\":{\"tag\":\"1\",\"value\":\"poodle\"}}}'",
              "name": "CLI"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```